%global _hardened_build 1

Name:       ddcutil
Version:    0.9.9
Release:    1%{?dist}
Summary:    Query and update monitor settings
License:    GPLv2+
URL:        https://github.com/rockowitz/%{name}
Source0:    %{URL}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:    automake
BuildRequires:    autoconf
BuildRequires:    gcc
BuildRequires:    make
BuildRequires:    libudev-devel
BuildRequires:    pkgconfig(glib-2.0)
BuildRequires:    pkgconfig(libusb-1.0)
BuildRequires:    pkgconfig(x11)
BuildRequires:    pkgconfig(libdrm)
BuildRequires:    pkgconfig(xrandr)
BuildRequires:    pkgconfig(zlib)
BuildRequires:    pkgconfig(python3)
BuildRequires:    libtool

%description
Query and change monitor settings

ddcutil communicates with monitors implementing MCCS (Monitor Control Command
Set), using either the DDC/CI protocol on the I2C bus or as a Human Interface
Device on USB.  In general, anything that can be controlled using a monitor's
on-screen display can be controlled by this program.  Examples include 
changing a monitor's input source and adjusting its brightness.

# libddcutil3 can be installed separately
%package -n libddcutil3
Summary:          Shared library to query and update monitor settings

%description -n libddcutil3
Shared library version of ddcutil, exposing a C API.

%package -n libddcutil3-devel
Summary:          Development files for libddcutil3
Requires:         libddcutil3%{?_isa} = %{version}-%{release}

%description -n libddcutil3-devel
Development files for libddcutil3

%prep
%setup -q

%build
autoreconf --verbose --install
%configure
%make_build

%install
%make_install

%ldconfig_scriptlets -n libddcutil3

%files
%doc NEWS.md README.md AUTHORS ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files -n libddcutil3
%doc NEWS.md README.md AUTHORS ChangeLog
%license COPYING
%{_libdir}/lib%{name}.so.3*

%files -n libddcutil3-devel
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}*.h
%{_libdir}/cmake/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Sep 17 2020 Qiyu Yan <yanqiyu@fedoraproject.org> - 0.9.9-1
- Initial Package

